%define anolis_release 1
%global srcname Markdown
%global pkgname markdown

Name:           python-%{pkgname}
Version:        3.5.1
Release:        %{anolis_release}%{?dist}
Summary:        Markdown implementation in Python
License:        BSD
URL:            https://python-markdown.github.io/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This is a Python implementation of John Gruber’s Markdown. It is
almost completely compliant with the reference implementation, though
there are a few very minor differences.


%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        Markdown implementation in Python
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-PyYAML
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}

%description -n python%{python3_pkgversion}-%{pkgname}
This is a Python implementation of John Gruber's Markdown. It is
almost completely compliant with the reference implementation, though
there are a few known issues.


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install

# process license file
PYTHONPATH=%{buildroot}%{python3_sitelib} \
  %{buildroot}%{_bindir}/markdown_py \
  LICENSE.md > LICENSE.html


%check
%python3 -m unittest discover tests


%files -n python%{python3_pkgversion}-%{pkgname}
# temporarily skip packaging docs - see also
# https://github.com/Python-Markdown/markdown/issues/621
#doc python3/build/docs/*
%license LICENSE.*
%{python3_sitelib}/*
%{_bindir}/markdown_py


%changelog
* Thu Feb 29 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.5.1-1
- update to 3.5.1

* Sun Jan 22 2023 Funda Wang <fundawang@yeah.net> - 3.4.1-1
- Import package for anolis 23
